Loading...
Searching...
No Matches
net::LinkStateChangedEvent Struct Reference

Event that is send when the operational state of an interface changed. More...

`import <Net.idl;`

Inheritance diagram for net::LinkStateChangedEvent:

## Public Attributes

string | ifName
| interface name
string | ifLabel
| interface label
InterfaceType | ifType
| interface type
InterfaceOpState | ifState
| Current operational interface state.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event that is send when the operational state of an interface changed.

Definition at line 354 of file Net.idl.

## Member Data Documentation

## ifLabel

string net::LinkStateChangedEvent::ifLabel

interface label

Definition at line 356 of file Net.idl.

## ifName

string net::LinkStateChangedEvent::ifName

interface name

Definition at line 355 of file Net.idl.

## ifState

InterfaceOpState net::LinkStateChangedEvent::ifState

Current operational interface state.

Definition at line 358 of file Net.idl.

## ifType

InterfaceType net::LinkStateChangedEvent::ifType

interface type

Definition at line 357 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl